#ifndef __CONSTRUCT_H_
#define __CONSTRUCT_H_

// construction of Poisson CL for mean mu with background b

class Construct
{
 public:
  Construct (float b, float cl, float prec);
  ~Construct ();

  void ShowVal (float min, float max, float step);
					// debugging: make a series of
					// paw DLINE commands for PAW
  void LimitMu (int n, float *mu1, float *mu2);
					// finds the mu1 and mu2 limts
					// for given n
  
 private:
  
  float Mu, Background;	// Mean and Background of the process
  float ConfLevel; // the desired confidence level
  float Precision; // the desired numerical precision

  void LimitN (int *n1, int *n2);	// does the ordering to find n1, n2
  float P (int n, float mu);

  float MuBest (int n);
};

#endif
